---
title: TypeInfo
slug: Web/API/TypeInfo
tags:
  - API
  - DOM
  - DOM Reference
  - Interface
  - NeedsContent
  - Obsolete
  - Reference
  - TypeInfo
  - Web
---
<div>{{APIRef("DOM")}}</div>

<div>{{obsolete_header}}</div>

<p><span class="seoSummary">The <em>obsolete</em> <code>TypeInfo</code> interface was intended to be used to describe a DOM data type by keying its name to a namespace within the document's schema.</span></p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("TypeInfo.typeName")}} {{Readonlyinline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} indicating the type's name.</dd>
 <dt>{{domxref("TypeInfo.typeNamespace")}} {{Readonlyinline}}</dt>
 <dd>Returns a {{domxref("DOMString")}} indicating the type's namespace within the schema.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("TypeInfo.isDerivedFrom()")}}</dt>
 <dd>Returns a {{jsxref("Boolean")}}.</dd>
</dl>

<h2 id="Constants">Constants</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Constant</th>
   <th scope="col">Value</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>DERIVATION_RESTRICTION</code></td>
   <td>1</td>
  </tr>
  <tr>
   <td><code>DERIVATION_EXTENSION</code></td>
   <td>2</td>
  </tr>
  <tr>
   <td><code>DERIVATION_UNION</code></td>
   <td>4</td>
  </tr>
  <tr>
   <td><code>DERIVATION_LIST</code></td>
   <td>8</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("DOM3 Core", "core.html#TypeInfo", "TypeInfo")}}</td>
   <td>{{Spec2("DOM3 Core")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>
